com.genesyslab.wfm7.API.service.scheduleTrade750

## Class SchTradeNotification

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade750.SchTradeNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all trade/proposal/response status changes from one point of time to another.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SchTradeProposalStatus[]` | `proposals` A list of `SchTradeProposalStatus` identifying trade proposals whose status has changed, with their new statuses.
    `private int` | `proposalsNSizeIs` Number of elements in the "proposals" array
    `private SchTradeResponseStatus[]` | `responses` A list of `SchTradeResponseStatus` identifying trade responses whose status has changed, with their new statuses.
    `private int` | `responsesNSizeIs` Number of elements in the "responses" array
    `private SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `private SchTrade[]` | `schTrade` A list of `SchTrade` whose status has changed.
    `private int` | `schTradeNSizeIs` Number of elements in the "schTrade" array
    `private SchTradeProposal[]` | `schTradeProposal` A list of `SchTradeProposal` whose status has changed.
    `private int` | `schTradeProposalNSizeIs` Number of elements in the "schTradeProposal" array
    `private SchTradeResponse[]` | `schTradeResponse` A list of `SchTradeResponse` whose status has changed.
    `private int` | `schTradeResponseNSizeIs` Number of elements in the "schTradeResponse" array
    `private long` | `timestamp` New timestamp value
    `private SchTradeStatus[]` | `trades` A list of `SchTradeStatus` identifying trades whose status has changed, with their new statuses.
    `private int` | `tradesNSizeIs` Number of elements in the "trades" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeNotification()`
    `SchTradeNotification(long timestamp, int proposalsNSizeIs, SchTradeProposalStatus[] proposals, int responsesNSizeIs, SchTradeResponseStatus[] responses, int tradesNSizeIs, SchTradeStatus[] trades, int schTradeProposalNSizeIs, SchTradeProposal[] schTradeProposal, int schTradeResponseNSizeIs, SchTradeResponse[] schTradeResponse, int schTradeNSizeIs, SchTrade[] schTrade, SchAgentDayHolder schedules)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchTradeProposalStatus[]` | `getProposals()` Gets the proposals value for this SchTradeNotification.
    `int` | `getProposalsNSizeIs()` Gets the proposalsNSizeIs value for this SchTradeNotification.
    `SchTradeResponseStatus[]` | `getResponses()` Gets the responses value for this SchTradeNotification.
    `int` | `getResponsesNSizeIs()` Gets the responsesNSizeIs value for this SchTradeNotification.
    `SchAgentDayHolder` | `getSchedules()` Gets the schedules value for this SchTradeNotification.
    `SchTrade[]` | `getSchTrade()` Gets the schTrade value for this SchTradeNotification.
    `int` | `getSchTradeNSizeIs()` Gets the schTradeNSizeIs value for this SchTradeNotification.
    `SchTradeProposal[]` | `getSchTradeProposal()` Gets the schTradeProposal value for this SchTradeNotification.
    `int` | `getSchTradeProposalNSizeIs()` Gets the schTradeProposalNSizeIs value for this SchTradeNotification.
    `SchTradeResponse[]` | `getSchTradeResponse()` Gets the schTradeResponse value for this SchTradeNotification.
    `int` | `getSchTradeResponseNSizeIs()` Gets the schTradeResponseNSizeIs value for this SchTradeNotification.
    `long` | `getTimestamp()` Gets the timestamp value for this SchTradeNotification.
    `SchTradeStatus[]` | `getTrades()` Gets the trades value for this SchTradeNotification.
    `int` | `getTradesNSizeIs()` Gets the tradesNSizeIs value for this SchTradeNotification.
    `void` | `setProposals(SchTradeProposalStatus[] proposals)` Sets the proposals value for this SchTradeNotification.
    `void` | `setProposalsNSizeIs(int proposalsNSizeIs)` Sets the proposalsNSizeIs value for this SchTradeNotification.
    `void` | `setResponses(SchTradeResponseStatus[] responses)` Sets the responses value for this SchTradeNotification.
    `void` | `setResponsesNSizeIs(int responsesNSizeIs)` Sets the responsesNSizeIs value for this SchTradeNotification.
    `void` | `setSchedules(SchAgentDayHolder schedules)` Sets the schedules value for this SchTradeNotification.
    `void` | `setSchTrade(SchTrade[] schTrade)` Sets the schTrade value for this SchTradeNotification.
    `void` | `setSchTradeNSizeIs(int schTradeNSizeIs)` Sets the schTradeNSizeIs value for this SchTradeNotification.
    `void` | `setSchTradeProposal(SchTradeProposal[] schTradeProposal)` Sets the schTradeProposal value for this SchTradeNotification.
    `void` | `setSchTradeProposalNSizeIs(int schTradeProposalNSizeIs)` Sets the schTradeProposalNSizeIs value for this SchTradeNotification.
    `void` | `setSchTradeResponse(SchTradeResponse[] schTradeResponse)` Sets the schTradeResponse value for this SchTradeNotification.
    `void` | `setSchTradeResponseNSizeIs(int schTradeResponseNSizeIs)` Sets the schTradeResponseNSizeIs value for this SchTradeNotification.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchTradeNotification.
    `void` | `setTrades(SchTradeStatus[] trades)` Sets the trades value for this SchTradeNotification.
    `void` | `setTradesNSizeIs(int tradesNSizeIs)` Sets the tradesNSizeIs value for this SchTradeNotification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          private long timestamp

      New timestamp value

    - #### proposalsNSizeIs

          private int proposalsNSizeIs

      Number of elements in the "proposals" array

    - #### proposals

          private SchTradeProposalStatus[] proposals

      A list of `SchTradeProposalStatus` identifying trade proposals whose status has changed, with their new statuses.

    - #### responsesNSizeIs

          private int responsesNSizeIs

      Number of elements in the "responses" array

    - #### responses

          private SchTradeResponseStatus[] responses

      A list of `SchTradeResponseStatus` identifying trade responses whose status has changed, with their new statuses.

    - #### tradesNSizeIs

          private int tradesNSizeIs

      Number of elements in the "trades" array

    - #### trades

          private SchTradeStatus[] trades

      A list of `SchTradeStatus` identifying trades whose status has changed, with their new statuses.

    - #### schTradeProposalNSizeIs

          private int schTradeProposalNSizeIs

      Number of elements in the "schTradeProposal" array

    - #### schTradeProposal

          private SchTradeProposal[] schTradeProposal

      A list of `SchTradeProposal` whose status has changed.

    - #### schTradeResponseNSizeIs

          private int schTradeResponseNSizeIs

      Number of elements in the "schTradeResponse" array

    - #### schTradeResponse

          private SchTradeResponse[] schTradeResponse

      A list of `SchTradeResponse` whose status has changed.

    - #### schTradeNSizeIs

          private int schTradeNSizeIs

      Number of elements in the "schTrade" array

    - #### schTrade

          private SchTrade[] schTrade

      A list of `SchTrade` whose status has changed.

    - #### schedules

          private SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

  - ### Constructor Detail

    - #### SchTradeNotification

          public SchTradeNotification()

    - #### SchTradeNotification

          public SchTradeNotification(long timestamp,
                              int proposalsNSizeIs,
                              SchTradeProposalStatus[] proposals,
                              int responsesNSizeIs,
                              SchTradeResponseStatus[] responses,
                              int tradesNSizeIs,
                              SchTradeStatus[] trades,
                              int schTradeProposalNSizeIs,
                              SchTradeProposal[] schTradeProposal,
                              int schTradeResponseNSizeIs,
                              SchTradeResponse[] schTradeResponse,
                              int schTradeNSizeIs,
                              SchTrade[] schTrade,
                              SchAgentDayHolder schedules)

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchTradeNotification.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchTradeNotification.
      Parameters:
        `timestamp` -

    - #### getProposalsNSizeIs

          public int getProposalsNSizeIs()

      Gets the proposalsNSizeIs value for this SchTradeNotification.
      Returns:
        proposalsNSizeIs

    - #### setProposalsNSizeIs

          public void setProposalsNSizeIs(int proposalsNSizeIs)

      Sets the proposalsNSizeIs value for this SchTradeNotification.
      Parameters:
        `proposalsNSizeIs` -

    - #### getProposals

          public SchTradeProposalStatus[] getProposals()

      Gets the proposals value for this SchTradeNotification.
      Returns:
        proposals

    - #### setProposals

          public void setProposals(SchTradeProposalStatus[] proposals)

      Sets the proposals value for this SchTradeNotification.
      Parameters:
        `proposals` -

    - #### getResponsesNSizeIs

          public int getResponsesNSizeIs()

      Gets the responsesNSizeIs value for this SchTradeNotification.
      Returns:
        responsesNSizeIs

    - #### setResponsesNSizeIs

          public void setResponsesNSizeIs(int responsesNSizeIs)

      Sets the responsesNSizeIs value for this SchTradeNotification.
      Parameters:
        `responsesNSizeIs` -

    - #### getResponses

          public SchTradeResponseStatus[] getResponses()

      Gets the responses value for this SchTradeNotification.
      Returns:
        responses

    - #### setResponses

          public void setResponses(SchTradeResponseStatus[] responses)

      Sets the responses value for this SchTradeNotification.
      Parameters:
        `responses` -

    - #### getTradesNSizeIs

          public int getTradesNSizeIs()

      Gets the tradesNSizeIs value for this SchTradeNotification.
      Returns:
        tradesNSizeIs

    - #### setTradesNSizeIs

          public void setTradesNSizeIs(int tradesNSizeIs)

      Sets the tradesNSizeIs value for this SchTradeNotification.
      Parameters:
        `tradesNSizeIs` -

    - #### getTrades

          public SchTradeStatus[] getTrades()

      Gets the trades value for this SchTradeNotification.
      Returns:
        trades

    - #### setTrades

          public void setTrades(SchTradeStatus[] trades)

      Sets the trades value for this SchTradeNotification.
      Parameters:
        `trades` -

    - #### getSchTradeProposalNSizeIs

          public int getSchTradeProposalNSizeIs()

      Gets the schTradeProposalNSizeIs value for this SchTradeNotification.
      Returns:
        schTradeProposalNSizeIs

    - #### setSchTradeProposalNSizeIs

          public void setSchTradeProposalNSizeIs(int schTradeProposalNSizeIs)

      Sets the schTradeProposalNSizeIs value for this SchTradeNotification.
      Parameters:
        `schTradeProposalNSizeIs` -

    - #### getSchTradeProposal

          public SchTradeProposal[] getSchTradeProposal()

      Gets the schTradeProposal value for this SchTradeNotification.
      Returns:
        schTradeProposal

    - #### setSchTradeProposal

          public void setSchTradeProposal(SchTradeProposal[] schTradeProposal)

      Sets the schTradeProposal value for this SchTradeNotification.
      Parameters:
        `schTradeProposal` -

    - #### getSchTradeResponseNSizeIs

          public int getSchTradeResponseNSizeIs()

      Gets the schTradeResponseNSizeIs value for this SchTradeNotification.
      Returns:
        schTradeResponseNSizeIs

    - #### setSchTradeResponseNSizeIs

          public void setSchTradeResponseNSizeIs(int schTradeResponseNSizeIs)

      Sets the schTradeResponseNSizeIs value for this SchTradeNotification.
      Parameters:
        `schTradeResponseNSizeIs` -

    - #### getSchTradeResponse

          public SchTradeResponse[] getSchTradeResponse()

      Gets the schTradeResponse value for this SchTradeNotification.
      Returns:
        schTradeResponse

    - #### setSchTradeResponse

          public void setSchTradeResponse(SchTradeResponse[] schTradeResponse)

      Sets the schTradeResponse value for this SchTradeNotification.
      Parameters:
        `schTradeResponse` -

    - #### getSchTradeNSizeIs

          public int getSchTradeNSizeIs()

      Gets the schTradeNSizeIs value for this SchTradeNotification.
      Returns:
        schTradeNSizeIs

    - #### setSchTradeNSizeIs

          public void setSchTradeNSizeIs(int schTradeNSizeIs)

      Sets the schTradeNSizeIs value for this SchTradeNotification.
      Parameters:
        `schTradeNSizeIs` -

    - #### getSchTrade

          public SchTrade[] getSchTrade()

      Gets the schTrade value for this SchTradeNotification.
      Returns:
        schTrade

    - #### setSchTrade

          public void setSchTrade(SchTrade[] schTrade)

      Sets the schTrade value for this SchTradeNotification.
      Parameters:
        `schTrade` -

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the schedules value for this SchTradeNotification.
      Returns:
        schedules

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder schedules)

      Sets the schedules value for this SchTradeNotification.
      Parameters:
        `schedules` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.